Loading...
Searching...
No Matches
pcl::cuda::PCLCUDABase< CloudT > Class Template Reference

PCL base class. More...

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/pcl_cuda_base.h>`

## Public Types

using | PointCloud = CloudT
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr

## Public Member Functions

| PCLCUDABase ()
| Empty constructor.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset.
PointCloudConstPtr const | getInputCloud ()
| Get a pointer to the input host point cloud dataset.

## Protected Member Functions

bool | initCompute ()
| This method should get called before starting the actual computation.
bool | deinitCompute ()
| This method should get called after finishing the actual computation.

## Protected Attributes

PointCloudConstPtr | input_
| The input point cloud dataset.

## Detailed Description

template<typename CloudT>
class pcl::cuda::PCLCUDABase< CloudT >

PCL base class.

Implements methods that are used by all PCL objects.

Definition at line 50 of file pcl_cuda_base.h.

## Member Typedef Documentation

## PointCloud

template<typename CloudT>

using pcl::cuda::PCLCUDABase< CloudT >::PointCloud = CloudT

Definition at line 53 of file pcl_cuda_base.h.

## PointCloudConstPtr

template<typename CloudT>

using pcl::cuda::PCLCUDABase< CloudT >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 55 of file pcl_cuda_base.h.

## PointCloudPtr

template<typename CloudT>

using pcl::cuda::PCLCUDABase< CloudT >::PointCloudPtr = typename PointCloud::Ptr

Definition at line 54 of file pcl_cuda_base.h.

## Constructor & Destructor Documentation

## PCLCUDABase()

template<typename CloudT>

pcl::cuda::PCLCUDABase< CloudT >::PCLCUDABase | ( |  | ) |

inline

Empty constructor.

Definition at line 58 of file pcl_cuda_base.h.

References input_.

## Member Function Documentation

## deinitCompute()

template<typename CloudT>

bool pcl::cuda::PCLCUDABase< CloudT >::deinitCompute | ( |  | ) |

inline protected

This method should get called after finishing the actual computation.

Definition at line 92 of file pcl_cuda_base.h.

## getInputCloud()

template<typename CloudT>

PointCloudConstPtr const pcl::cuda::PCLCUDABase< CloudT >::getInputCloud | ( |  | ) |

inline

Get a pointer to the input host point cloud dataset.

Definition at line 71 of file pcl_cuda_base.h.

References input_.

## initCompute()

template<typename CloudT>

bool pcl::cuda::PCLCUDABase< CloudT >::initCompute | ( |  | ) |

inline protected

This method should get called before starting the actual computation.

Definition at line 82 of file pcl_cuda_base.h.

References input_.

## setInputCloud()

template<typename CloudT>

virtual void pcl::cuda::PCLCUDABase< CloudT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline virtual

Provide a pointer to the input dataset.

Parameters

  cloud | the const boost shared pointer to a PointCloud message

Definition at line 64 of file pcl_cuda_base.h.

References input_.

## Member Data Documentation

## input_

template<typename CloudT>

PointCloudConstPtr pcl::cuda::PCLCUDABase< CloudT >::input_

protected

The input point cloud dataset.

Definition at line 78 of file pcl_cuda_base.h.

Referenced by getInputCloud(), initCompute(), PCLCUDABase(), and setInputCloud().

The documentation for this class was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/cuda/common/include/pcl/cuda/pcl_cuda_base.h